Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.elasticmapreduce.model
Class BootstrapActionConfig

    java.lang.Object
      com.amazonaws.services.elasticmapreduce.model.BootstrapActionConfig

    public class BootstrapActionConfig

extends Object

Configuration of a bootstrap action.

Constructor Summary
`BootstrapActionConfig()`

Method Summary
`String` | `getName()` The name of the bootstrap action.
`ScriptBootstrapActionConfig` | `getScriptBootstrapAction()` The script run by the bootstrap action.
`void` | `setName(String name)` The name of the bootstrap action.
`void` | `setScriptBootstrapAction(ScriptBootstrapActionConfig scriptBootstrapAction)` The script run by the bootstrap action.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`BootstrapActionConfig` | `withName(String name)` The name of the bootstrap action.
`BootstrapActionConfig` | `withScriptBootstrapAction(ScriptBootstrapActionConfig scriptBootstrapAction)` The script run by the bootstrap action.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BootstrapActionConfig

    public BootstrapActionConfig()

Method Detail

### getName

    public String getName()

  The name of the bootstrap action.

  Constraints:
  Length: 1 - 256

  Returns:
    The name of the bootstrap action.

### setName

    public void setName(String name)

  The name of the bootstrap action.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the bootstrap action.

### withName

    public BootstrapActionConfig withName(String name)

  The name of the bootstrap action.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Length: 1 - 256

  Parameters:
    `name` - The name of the bootstrap action.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getScriptBootstrapAction

    public ScriptBootstrapActionConfig getScriptBootstrapAction()

  The script run by the bootstrap action.

  Returns:
    The script run by the bootstrap action.

### setScriptBootstrapAction

    public void setScriptBootstrapAction(ScriptBootstrapActionConfig scriptBootstrapAction)

  The script run by the bootstrap action.

  Parameters:
    `scriptBootstrapAction` - The script run by the bootstrap action.

### withScriptBootstrapAction

    public BootstrapActionConfig withScriptBootstrapAction(ScriptBootstrapActionConfig scriptBootstrapAction)

  The script run by the bootstrap action.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `scriptBootstrapAction` - The script run by the bootstrap action.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.